// CONSTANTS FOR THE FEATURE EXTRACTION
#define YCOLORRANGES 8		// YUV color quantization = 32 (8*2*2)
#define UCOLORRANGES 2
#define VCOLORRANGES 2
#define COLQUANT YCOLORRANGES*UCOLORRANGES*VCOLORRANGES
#define NOOFDOMINANTCOLORS 8
#define HT_DIM 32	// homogeneous texture dimension (avg,stdv, 30 level of energy)
#define EH_DIM 80	// edge histogram dimension
#define HSV_DIM 256 //HScale * SScale * VScale should be changed if this changed
#define CM_DIM 2	// color moment dimension is the mean and variance
#define NOOFHBLOCKS 4		// the number of horizontal blocks used for calculating CL, TT
#define NOOFVBLOCKS 4		// the number of vertical blocks used for calculating CL, TT
#define CL_DIM NOOFHBLOCKS*NOOFVBLOCKS*	COLQUANT	// the Color layout dimension
#define TT_DIM NOOFHBLOCKS*NOOFVBLOCKS*2	// mean and variance for total number of blocks
#define TE_DIM 9
#define MAX_DIM CL_DIM

class CFrame;
int getThreshold(int *f, int maxSize,float initialP1);
float getAbsolute(float x);
int getMin(float *f, int fSize);
COLORREF YUVToRGB(BYTE y, BYTE  u, BYTE v);
void YUV2R_G_B(CFrame *crtFrame,unsigned char *r, unsigned char *g, unsigned char *b);
int between(double n, double x, double y);
char * getStringFromArray(float *h, int dim);