// RGB2HSV.h: interface for the RGB2HSV class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RGB2HSV_H__D9F51012_9413_41A7_8A4F_EEFE5CCAEBE3__INCLUDED_)
#define AFX_RGB2HSV_H__D9F51012_9413_41A7_8A4F_EEFE5CCAEBE3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#define Findmax(a, b) (((a) > (b))?(a):(b))
#define Findmin(a, b) (((a) < (b))?(a):(b))
#define JLFPTR unsigned char
#define HScale 16
#define SScale 4
#define VScale 4
#define LScale 4

class RGB2HSV  
{
   private:
     int jCaculater;
     int jTemp1;
     int jTemp2;
	 float *m_fHSVhist;
     void RGBToHSV(JLFPTR *rgb,float *h,float *s,float *v,int Number);
     void R_G_BToHSV(JLFPTR *r,JLFPTR *g,JLFPTR *b,float *h,float *s,float *v,int Number);
     void QuantiveHSV(float *h,float *s,float *v,int Number);
	 void HSVHist(float *h,float *s,float *v,int Number,float *Hist);

public:
	RGB2HSV();
	virtual ~RGB2HSV();
    unsigned char *jBuffer1,*jBuffer2;
	float * R_G_B2HSVHistogram(JLFPTR *r,JLFPTR *g,JLFPTR *b, int Number, int *);
	float * RGB2HSVHistogram(JLFPTR *rgb, int Number, int *);

    
    
};


#endif // !defined(AFX_RGB2HSV_H__D9F51012_9413_41A7_8A4F_EEFE5CCAEBE3__INCLUDED_)
