// ursorRecord.h: interface for the CursorRecord class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_URSORRECORD_H__2D762193_F81B_47F6_9D4D_1C9B26124E49__INCLUDED_)
#define AFX_URSORRECORD_H__2D762193_F81B_47F6_9D4D_1C9B26124E49__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#define MAX_NO_FIELDS 20
#define INT 0
#define STRING 1
#define DOUBLE 3
#define IMAGE 4
#define STRINGURL 5
#define NULLSIZE -1
#define FIELD_NAME_SIZE 30

// types of error that might return from the save reply function
#define ERRINVALIDCON -1
#define ERR0BYTE -2
#define ERRSYNTAX -3
#define ERRINVALIDTYPE -4
#define RESULTOK 1
#define IGNORERESULT 2

class CursorRecord  
{
public:
	struct FIELD{
		int size;
		void *content;
		int type;
		char fieldName[FIELD_NAME_SIZE];
	} fields[MAX_NO_FIELDS];

	CursorRecord();
	virtual ~CursorRecord();

};
#endif // !defined(AFX_URSORRECORD_H__2D762193_F81B_47F6_9D4D_1C9B26124E49__INCLUDED_)
