/*
  FileFmtDef - file formats definitions, public header file
  Copyright 1999-2000 Robert Tibljas and Zeljko Nikolic
*/

#ifndef  FILEFMTDEF_H


#include  "basicdef.h"


#ifdef  __cplusplus
extern "C" {
#endif


#define  FILEFMT_READ_CNT   18
#define  FILEFMT_WRITE_CNT  16
// file format IDs
#define  FILEFMT_TGA  1
#define  FILEFMT_PCX  2
#define  FILEFMT_DIB  3
#define  FILEFMT_GIF  4
#define  FILEFMT_FLC  5
#define  FILEFMT_AVI  6
#define  FILEFMT_HAV  7
#define  FILEFMT_JPG  8
#define  FILEFMT_PNG  9
#define  FILEFMT_TIF  10
#define  FILEFMT_MPG  11
#define  FILEFMT_WAV  12
#define  FILEFMT_SGI  13
#define  FILEFMT_RAS  14
#define  FILEFMT_PNM  15
#define  FILEFMT_BAY  16
#define  FILEFMT_XPM  17
#define  FILEFMT_MPA  18
// frame rate standards
#define  FPS_MPG_0     0.0
#define  FPS_MPG_23    (24.0*1000)/1001
#define  FPS_MPG_24    24.0
#define  FPS_MPG_25    25.0
#define  FPS_MPG_29    (30.0*1000)/1001
#define  FPS_MPG_30    30.0
#define  FPS_MPG_50    50.0
#define  FPS_MPG_59    (60.0*1000)/1001
#define  FPS_MPG_60    60.0
#define  FPS_AVISTD    15.0
#define  FPS_NTSCFILM  FPS_MPG_23
#define  FPS_FILM      FPS_MPG_24
#define  FPS_PAL       FPS_MPG_25
#define  FPS_NTSC29    FPS_MPG_29
#define  FPS_NTSC30    FPS_MPG_30


#ifdef __cplusplus
}
#endif

#endif  // FILEFMTDEF_H
