#if !defined(AFX_INPUTDLG_H__0A6A394A_8D29_422E_BACD_99C32C7B867A__INCLUDED_)
#define AFX_INPUTDLG_H__0A6A394A_8D29_422E_BACD_99C32C7B867A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// InputDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// InputDlg form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CInputDlg : public CFormView
{
protected:
	CInputDlg();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CInputDlg)

// Form Data
public:
	//{{AFX_DATA(CInputDlg)
	enum { IDD = IDD_InputDlg };
	CButton	m_Radio_TiltU;
	CButton	m_Radio_TiltD;
	CButton	m_Radio_Irregular;
	CButton	m_Radio_ZoomO;
	CButton	m_Radio_ZoomI;
	CButton	m_Radio_Still;
	CButton	m_Radio_PanR;
	CButton	m_Radio_PanL;
	CButton	m_Radio_FrameShot;
	CButton	m_Radio_FrameFrame;
	CButton	m_Radio_Shot;
	CButton	m_Radio_Sql;
	CButton	m_Radio_QyeryByExample;
	CButton	m_Radio_ExecBatch;
	CButton	m_Radio_MotionInfo;
	CButton	m_Radio_KeyWord;
	CTabCtrl	m_tab;
	CString	m_sql;
	CString	m_fileName;
	BOOL	m_CH;
	BOOL	m_CL;
	BOOL	m_CM;
	BOOL	m_TE;
	BOOL	m_TT;
	BOOL	m_MH;
	int		m_k;
	BOOL	m_errorMsgs;
	int		m_degree;
	BOOL	m_CH2;
	BOOL	m_useYUVFile;
	BOOL	m_rank;
	BOOL	m_DC;
	BOOL	m_EH;
	BOOL	m_HT;
	BOOL	m_SC;
	//}}AFX_DATA

// Attributes
public:

	// Operations
public:
	int getTypeOfQBEJoin();
	int constructSQLQBERJoin(CString &sql, bool execute);
	int constructSQLQBEJoin(CString &sql, bool execute = true);
	int constructSQLKeyWords(CString &sql);
	int constructSQLMotionInfo(CString &sql);
	int getFileName(CString &fileName);
	int constructSQL(CString &sql, bool execute= true);
	void redrawView();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInputDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CInputDlg();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CInputDlg)
	afx_msg void OnConnect();
	afx_msg void OnExecquery();
	afx_msg void OnExit();
	afx_msg void OnDisconnect();
	afx_msg void OnClear();
	afx_msg void OnClearfilename();
	afx_msg void OnShowsql();
	afx_msg void OnClearsql();
	afx_msg void OnSelectfile();
	afx_msg void OnRadioSql();
	afx_msg void OnRadioQuerybyexample();
	afx_msg void OnRadioExecbatch();
	afx_msg void OnRadioMotioninfo();
	afx_msg void OnRadioKeyword();
	afx_msg void OnRefresh();
	afx_msg void OnButton2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INPUTDLG_H__0A6A394A_8D29_422E_BACD_99C32C7B867A__INCLUDED_)
