// Frame.h: interface for the CFrame class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FRAME_H__102B4015_3FA8_409F_881A_65EDA5428A2A__INCLUDED_)
#define AFX_FRAME_H__102B4015_3FA8_409F_881A_65EDA5428A2A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "global.h"
char * getDCFromCH(float *ch);

class CFrame  
{
private:
	bool CHcalculated;
	float CH [COLQUANT];

	void calculateCH();
public:
	char * getCH(float *h);
	char * getCHHSV(float *h);
	char * getCM(float *h);
	char * getDC();
	char * getSCol(float *h2);
	char * getTT(float *h);
	char * getTE(float *h);
	char * getHT(float *h);
	char * getEH(float *h);

	void allocateYUV();
	int loadFrameFromJPG(CString fileName);
	int loadFrame(CString fileName);
	CFrame();
	virtual ~CFrame();

	BYTE **Y,**U,**V;

	int height;
	int width;
};

void YUV2R_G_B(CFrame *crtFrame,unsigned char *r, unsigned char *g, unsigned char *b);

#endif // !defined(AFX_FRAME_H__102B4015_3FA8_409F_881A_65EDA5428A2A__INCLUDED_)
