// Session.h: interface for the CSession class.
//
//////////////////////////////////////////////////////////////////////


#if !defined(AFX_SESSION_H__16D8DD6F_761B_4405_A90E_2F6187FA1815__INCLUDED_)
#define AFX_SESSION_H__16D8DD6F_761B_4405_A90E_2F6187FA1815__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//class PredConnection;
//#include "../txtclient.h"
#include "readThread.h"
//class CVideoDlg;

#define XDISPLAY 20 
#define YDISPLAY 60
#define IMAGES_IN_DISPLAY 4

// the type of job the player is doing
#define PLAYERSTREAMING 1
#define PLAYERIDLE 2
#define PLAYERPLAYING 3

class CSession  
{
public:
	int cleanAfterStreaming();
	void deleteStreamingResults();
	void killReadBufferThread();
	int execCommadQuery(CString sql);
	int readBuffer2ndThread();
	int handleDoubleClickInDlg(CPoint point, int startIdx, CString &URL);
	int getResultsSize();
	int drawResultsInDlg(CDC *pDC, int startIdx, int endIdx, int total);
//	CVideoDlg * videoDlg;
	int handleDoubleClick(CPoint point);
	int execBatch(CString &fileName);
	void clearResults();
	int drawResults(CDC *pDC, int &maxY, int &maxX);
	int execQuery(CString sql);	
	PredConnection* predConnection;
	XxxSocketStarter DummyStarter;
	
	CWinThread * m_pReadWorkerThread;
	HANDLE m_hEventStartRead;
	HANDLE m_hEventReadDone;
	HANDLE m_hEventKillReadThread;
	HANDLE m_hEventReadThreadKilled;
	CReadThreadInfo m_readThreadInfo;

	CSession();
	virtual ~CSession();

};

extern CSession *g_session;


#endif // !defined(AFX_SESSION_H__16D8DD6F_761B_4405_A90E_2F6187FA1815__INCLUDED_)
