// VideoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "WinClient.h"
#include "VideoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVideoDlg dialog


CVideoDlg::CVideoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVideoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVideoDlg)
	m_URL = _T("");
	//}}AFX_DATA_INIT
}


void CVideoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVideoDlg)
	DDX_Control(pDX, IDC_PLAYER, m_player);
	DDX_Text(pDX, IDC_URL, m_URL);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CVideoDlg, CDialog)
	//{{AFX_MSG_MAP(CVideoDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVideoDlg message handlers

void CVideoDlg::playVideo()
{
	m_player.Open(URL);
}

BOOL CVideoDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_URL = URL;
	UpdateData(FALSE);
	UpdateWindow();
	playVideo();
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CVideoDlg::OnOK() 
{
	// TODO: Add extra validation here
	m_player.Stop();
	URL = "";
	m_player.CloseWindow();
	CDialog::OnOK();
}

BEGIN_EVENTSINK_MAP(CVideoDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CVideoDlg)
	ON_EVENT(CVideoDlg, IDC_PLAYER, 3002 /* EndOfStream */, OnEndOfStreamPlayer, VTS_I4)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CVideoDlg::OnEndOfStreamPlayer(long Result) 
{
	// TODO: Add your control notification handler code here
}
